> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onsleek.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all products

> Retrieve all products in the Sleek product feed. The response is paginated, and the nextPage can be used to fetch the next page.



## OpenAPI

````yaml https://api.onsleek.ai/openapi.json get /v2/products
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sleek API
  description: API documentation for Sleek's API.
servers:
  - url: https://api.onsleek.ai
security:
  - api-key: []
paths:
  /v2/products:
    get:
      tags:
        - Product Feed
      summary: Get all products
      description: >-
        Retrieve all products in the Sleek product feed. The response is
        paginated, and the nextPage can be used to fetch the next page.
      parameters:
        - schema:
            type: string
            description: The product page to fetch.
          required: false
          description: The product page to fetch.
          name: page
          in: query
      responses:
        '200':
          description: Products.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        lastViewedAt:
                          type: string
                          description: The last viewed at timestamp.
                        url:
                          type: string
                          description: The URL of the product.
                        name:
                          type: string
                          nullable: true
                          description: The name of the product.
                        price:
                          type: number
                          nullable: true
                          description: >-
                            The most recent price for a single unit of the
                            product.
                        currencyCode:
                          type: string
                          nullable: true
                          description: The ISO 4217 currency code for the price.
                        brandName:
                          type: string
                          nullable: true
                          description: The brand name of the product.
                        description:
                          type: string
                          nullable: true
                          description: A description of the product.
                        imageUrls:
                          type: array
                          nullable: true
                          items:
                            type: string
                          description: The URLs of the product images.
                        categoryId:
                          type: string
                          nullable: true
                          description: The category ID for this product.
                        categoryVersion:
                          type: string
                          nullable: true
                          description: The version of the category for this product.
                        categoryBreadcrumb:
                          type: string
                          nullable: true
                          description: The category breadcrumb for this product.
                        asin:
                          type: string
                          nullable: true
                          description: >-
                            The Amazon Standard Identification Number for the
                            product.
                        sku:
                          type: string
                          nullable: true
                          description: The Stock Keeping Unit identifier for the product.
                        gtin:
                          type: string
                          nullable: true
                          description: The Global Trade Item Number for the product.
                        mpn:
                          type: string
                          nullable: true
                          description: The Manufacturer Part Number for the product.
                        ratingValue:
                          type: number
                          nullable: true
                          description: The average rating value for the product.
                        ratingCount:
                          type: number
                          nullable: true
                          description: The total number of ratings for the product.
                        bestRating:
                          type: number
                          nullable: true
                          description: The best rating value for the product.
                        worstRating:
                          type: number
                          nullable: true
                          description: The worst rating value for the product.
                        history:
                          type: array
                          items:
                            type: object
                            properties:
                              yearMonthDay:
                                type: string
                                description: The year, month, and day in YYYYMMDD format.
                              price:
                                type: number
                                nullable: true
                                description: >-
                                  The price for a single unit of the product on
                                  that day.
                              views:
                                type: number
                                description: The total views for the product on that day.
                            required:
                              - yearMonthDay
                              - price
                              - views
                          description: The price and total views history for the product.
                      required:
                        - lastViewedAt
                        - url
                        - name
                        - price
                        - currencyCode
                        - brandName
                        - description
                        - imageUrls
                        - categoryId
                        - categoryVersion
                        - categoryBreadcrumb
                        - asin
                        - sku
                        - gtin
                        - mpn
                        - ratingValue
                        - ratingCount
                        - bestRating
                        - worstRating
                        - history
                  nextPage:
                    type: string
                    nullable: true
                required:
                  - data
                  - nextPage
      security:
        - api-key: []
components:
  securitySchemes:
    api-key:
      type: http
      scheme: bearer
      description: API key for accessing the Sleek API.

````